#
# spec file for package libvirt-python
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libvirt-python
Url:            http://libvirt.org/
Version:        2.0.0
Release:        1.2
Summary:        Library providing a simple virtualization API
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.asc
Source2:        %{name}.keyring
BuildRequires:  libvirt-devel >= 0.9.11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-xml
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%py_requires
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif
Requires:       libvirt-client >= %{version}

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python_sitearch}/libvirt.py*
%{python_sitearch}/libvirt_qemu.py*
%{python_sitearch}/libvirt_lxc.py*
%{python_sitearch}/libvirtmod*
%{python_sitearch}/libvirt_python-%{version}-py%{py_ver}.egg-info

%changelog
* Fri Jul  1 2016 jfehlig@suse.com
- Update to 2.0.0
  - Add all new APIs and constants in libvirt 2.0.0
  - FATE#316228, FATE#316628, FATE#319531, FATE#319810,
    FATE#320490
* Tue Jun  7 2016 jfehlig@suse.com
- Update to 1.3.5
  - Add all new APIs and constants in libvirt 1.3.5
* Tue May  3 2016 jfehlig@suse.com
- Update to 1.3.4
  - Add all new APIs and constants in libvirt 1.3.4
  - FATE#316228, FATE#316628, FATE#319531, FATE#319810,
    FATE#320490
* Tue Apr 12 2016 jfehlig@suse.com
- Update to 1.3.3
  - Add all new APIs and constants in libvirt 1.3.3
  - FATE#316228, FATE#316628, FATE#319531, FATE#319810,
    FATE#320490
* Tue Mar  1 2016 jfehlig@suse.com
- Update to 1.3.2
  - Add all new APIs and constants in libvirt 1.3.2
  - FATE#319531, FATE#319810, FATE#320490
* Fri Jan 29 2016 jfehlig@suse.com
- Update to 1.3.1
  - Add all new APIs and constants in libvirt 1.3.1
  - FATE#319531, FATE#320490, FATE#319810
- Require libvirt-client version >= libvirt-python version
* Wed Aug  5 2015 jfehlig@suse.com
- Update to 1.2.18
  - Add all new APIs and constants in libvirt 1.2.18
  - FATE#314466, FATE#314497, FATE#315157, FATE#318383
* Thu Jul  2 2015 jfehlig@suse.com
- Update to 1.2.17
  - Add all new APIs and constants in libvirt 1.2.17
  - FATE#314466, FATE#314497, FATE#315157, FATE#318383
* Tue Jun  2 2015 jfehlig@suse.com
- Update to 1.2.16
  - Add all new APIs and constants in libvirt 1.2.16
  - FATE#314466, FATE#314497, FATE#315157, FATE#318383
* Thu May 21 2015 jfehlig@suse.com
- Update to 1.2.15
  - Add all new APIs and constants in libvirt 1.2.15
  - FATE#314466, FATE#314497, FATE#315157, FATE#318383
* Mon Jun  2 2014 jfehlig@suse.com
- Update to 1.2.5
  - Add all new APIs and constants in libvirt 1.2.5
* Tue May  6 2014 jfehlig@suse.com
- Update to 1.2.4
  - Add all new APIs and constants in libvirt 1.2.4
* Mon Apr  7 2014 jfehlig@suse.com
- Update to 1.2.3
  - Add all new APIs and constants in libvirt 1.2.3
* Mon Mar  3 2014 jfehlig@suse.com
- Update to 1.2.2
  - Add all new APIs and constants in libvirt 1.2.2
* Fri Jan 17 2014 jfehlig@suse.com
- Update to 1.2.1
  - Add all new APIs and constants in libvirt 1.2.1
* Mon Dec  9 2013 jfehlig@suse.com
- Add missing BuildRoot definition
* Mon Dec  9 2013 speilicke@suse.com
- Fix macro usage (Build on SLE)
- Don't rm *.egg-info
- No need for CFLAGS
* Wed Dec  4 2013 jfehlig@suse.com
- Initial packaging of libvirt python bindings after being split
  out of libvirt.git.  The libvirt python bindings are now separate
  from libvirt and maintained in git://libvirt.org/libvirt-python.git
